org.appng.core.repository

## Interface SiteApplicationRepository

- All Superinterfaces:
    org.springframework.data.repository.CrudRepository<SiteApplication,SiteApplicationPK>, org.springframework.data.jpa.repository.JpaRepository<SiteApplication,SiteApplicationPK>, org.springframework.data.jpa.repository.JpaSpecificationExecutor<SiteApplication>, org.springframework.data.repository.PagingAndSortingRepository<SiteApplication,SiteApplicationPK>, org.springframework.data.repository.query.QueryByExampleExecutor<SiteApplication>, org.springframework.data.repository.Repository<SiteApplication,SiteApplicationPK>, SearchRepository<SiteApplication,SiteApplicationPK>

      public interface SiteApplicationRepository
      extends SearchRepository<SiteApplication,SiteApplicationPK>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Application` | `findApplicationForConnection(DatabaseConnection dbc)`
    `SiteApplication` | `findByApplicationNameAndGrantedSitesName(String grantedApplication, String grantedSite)`
    `SiteApplication` | `findByDatabaseConnectionId(Integer connectionId)`
    `List<SiteApplication>` | `findByGrantedSitesIn(Site site)`
    `SiteApplication` | `findBySiteNameAndApplicationName(String site, String application)`
    `DatabaseConnection` | `getDatabaseForSiteAndApplication(SiteImpl site, ApplicationImpl application)`

    - ### Methods inherited from interface org.appng.persistence.repository.SearchRepository

      `createSearchQuery, detach, getHistory, getRevision, getRevisionNumber, isUnique, isUnique, search, search, search, search`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAll, flush, getOne, save, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, delete, delete, deleteAll, exists, findOne, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findOne`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaSpecificationExecutor

      `count, findAll, findAll, findAll, findOne`

- - ### Method Detail

    - #### findByDatabaseConnectionId

          SiteApplication findByDatabaseConnectionId(Integer connectionId)

    - #### findByApplicationNameAndGrantedSitesName

          SiteApplication findByApplicationNameAndGrantedSitesName(String grantedApplication,
                                                                   String grantedSite)

    - #### findByGrantedSitesIn

          List<SiteApplication> findByGrantedSitesIn(Site site)

    - #### findApplicationForConnection

          @Query(value="select sa.application from SiteApplication sa where sa.databaseConnection=?1")
          Application findApplicationForConnection(DatabaseConnection dbc)

    - #### getDatabaseForSiteAndApplication

          @Query(value="select sa.databaseConnection from SiteApplication sa where sa.site=?1 and sa.application=?2")
          DatabaseConnection getDatabaseForSiteAndApplication(SiteImpl site,
                                                                                                                                                                          ApplicationImpl application)

    - #### findBySiteNameAndApplicationName

          SiteApplication findBySiteNameAndApplicationName(String site,
                                                           String application)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.